=== debian/control ===
Source: cython-dmo
Section: python
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               gdb <!nocheck>,
               help2man,
               python3-all-dev,
               python3-numpy <!nocheck>,
               python3-setuptools <!nocheck>,
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     python3-sphinx,
                     python3-sphinx-issues,
                     python3-sphinx-tabs
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cython
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language
 as easy as Python itself. Cython is based on the well-known Pyrex, but
 supports more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython3
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: gcc,
            python3-dev
Replaces: cython (<< 0.29.14-2),
Breaks: cython (<< 0.29.14-2),
Suggests: cython-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the Python library and command-line tools.

Package: cython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: cython3
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This package installs the HTML documentation.
